package se.gawell.kvtstore.core;

import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Date;

import org.springframework.stereotype.Component;

@Component
public class AlphabeticallySortableTimeFormatter implements TimeFormatter {

	private DateFormat dateFormat = new SimpleDateFormat("yyyy-MM-dd_HH:mm:ss:SSS");
	
	@Override
	public String format(Date time) {
		return dateFormat.format(time);
	}

}
